import { AlphaConfig } from './alpha.mjs';
import { SimulationForceConfig } from './forces.mjs';
import { NodeTypeToken } from '../model/graph.mjs';
import { GraphLink } from '../model/link.mjs';
import { GraphNode } from '../model/node.mjs';
export interface SimulationConfig<T extends NodeTypeToken, Node extends GraphNode<T>, Link extends GraphLink<T, Node>> {
    /**
     * Alpha value configuration.
     */
    readonly alphas: AlphaConfig<T, Node>;
    /**
     * Force configuration.
     */
    readonly forces: SimulationForceConfig<T, Node, Link>;
}
