import { Canvas, GraphHost, Zoom } from './types.mjs';
export interface DefineCanvasParams {
    readonly applyZoom: boolean;
    readonly container: GraphHost;
    readonly offset: [number, number];
    readonly onDoubleClick?: (event: PointerEvent) => void;
    readonly onPointerMoved?: (event: PointerEvent) => void;
    readonly onPointerUp?: (event: PointerEvent) => void;
    readonly scale: number;
    readonly zoom: Zoom;
}
export declare function defineCanvas({ applyZoom, container, onDoubleClick, onPointerMoved, onPointerUp, offset: [xOffset, yOffset], scale, zoom, }: DefineCanvasParams): Canvas;
export interface UpdateCanvasParams {
    readonly canvas?: Canvas | undefined;
    readonly scale: number;
    readonly xOffset: number;
    readonly yOffset: number;
}
export declare function updateCanvasTransform({ canvas, scale, xOffset, yOffset, }: UpdateCanvasParams): void;
