import { Vector } from 'vecti';
import { GraphConfig } from '../config/config.mjs';
import { GraphSimulation } from './types.mjs';
import { Graph, NodeTypeToken } from '../model/graph.mjs';
import { GraphLink } from '../model/link.mjs';
import { GraphNode } from '../model/node.mjs';
export interface DefineSimulationParams<T extends NodeTypeToken, Node extends GraphNode<T>, Link extends GraphLink<T, Node>> {
    readonly center: () => Vector;
    readonly config: GraphConfig<T, Node, Link>;
    readonly graph: Graph<T, Node, Link>;
    readonly onTick: () => void;
}
export declare function defineSimulation<T extends NodeTypeToken, Node extends GraphNode<T>, Link extends GraphLink<T, Node>>({ center, config, graph, onTick, }: DefineSimulationParams<T, Node, Link>): GraphSimulation<T, Node, Link>;
